Endlessh-Go
=========

Installs the go version of Endlessh and opens firewalld ports (see defaults).
It listens to the port 22 for ssh, and 2112 for prometheus. These can't be changed simply unfortunately, but you can modifiy the /etc/systemd/systemd/endlessh-go.service file after install to suit your needs (juste do a systemctl daemon-reload && systemctl restart endlessh-go afterwards).

The corresponding Grafana dashboard is [here](https://grafana.com/grafana/dashboards/15156).

An example of prometheus config for this service is:
```yaml

scrape_configs:
  - job_name: 'endlessh'
    scrape_interval: 60s
    static_configs:
      - targets: ['endlessh:2112']
```

Requirements
------------

None, if firewalld is not installed we do not open ports.

Role Variables
--------------

* Ports to open : see defaults. These ports will be opened in firewalld.
```yaml
fwd_ports:
      prom:
        zone: home
        port: 2112/tcp
      ssh:
        zone: public
        port: 22/tcp
```


Dependencies
------------

None 

License
-------

GPL-3.0 for endlessh-go and this role.

Author Information
------------------

[endlessh-go by Shizunge](https://github.com/shizunge/endlessh-go)

This role was written by [Squip](https://github.com/squ1p)
